package es.verdnatura.presentation.view.feature.historicoshelving.model

import es.verdnatura.domain.isoToString

class ItemShelvingLog(
    var itemFk: Int? = null,
    var longName: String? = null,
    var shelvingFk: String? = null,
    var visible: Int? = null,
    var accion: String? = null,
    var code: String? = null,
) {
    var created: String = ""
        get() {
            return field.isoToString(returnOnlyDate = false)
        }

}

class ItemShelvingSaleDateList(
    var list: List<ItemShelvingLog> = listOf()
)

class ItemShelvingLogList(
    var list: List<ItemShelvingLog> = listOf()
)