package es.verdnatura.presentation.view.feature.ajustes.model

class AjustesItemVO(
    var id: Int,
    var title: String = "",
    var selected: String? = null,
    var sectorFk: Int? = null,
    var printerFk: Int? = null,
    var printerSelected: String? = null,
    var action: Boolean
)

class SectorItemVO(
    var id: Int,
    var description: String,
    val warehouseFk: Int?
)

class SectorListVO(
    var list: List<SectorItemVO> = listOf()
)

class PrintersList(
    var list: List<Printers> = listOf()
)

class Printers(
    var id: Int,
    var name: String
)

class WorkerPrintersList(
    var list: List<Printers> = listOf()
)

class Train(
    var id: Int,
    var name: String
)

class TrainList(
    var list: List<Train> = listOf()
)